// models/Setting.js
const mongoose = require('mongoose')
const timestamp = require('mongoose-timestamp')

const settingSchema = new mongoose.Schema({
  key: {
    type: String,
    required: true,
    unique: true
  },
  value: {
    type: String,
    required: true
  }
})
settingSchema.plugin(timestamp)

const SettingModel = mongoose.model('Setting', settingSchema)
module.exports = SettingModel
